<?php
namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Category;
use Illuminate\Http\Request;

class CategoryController extends Controller
{
public function index()
{
    // Fetch all categories
    $categories = Category::all();

    // Map each category to include the image URL and hide unnecessary fields
    $categoriesWithImageUrl = $categories->map(function ($category) {
        // Add the full image URL
        $category->image = 'https://elecorepair.site/storage/app/public/' . $category->image;
        
        // Hide the created_at and updated_at fields
        $category->makeHidden(['created_at', 'updated_at']);
        
        return $category;
    });

    // Return the category data in the response
    return response()->json([
        'status' => 200,
        'data' => $categoriesWithImageUrl,
    ], 200);
}

}
