<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CategoryTasks extends Model
{
    use HasFactory;

    protected $table = 'category_tasks'; // Map the model to the `category_tasks` table
    protected $fillable = [
        'category_id', 'user_id','customer_name', 'city_name', 'village_ward_no', 
        'address', 'landmark', 'pincode', 'mobile_number', 'is_view'
    ];

    // Define the relationship with Category
    public function category()
    {
        return $this->belongsTo(Category::class, 'category_id');
    }
    
     public function user()
    {
        return $this->belongsTo(User::class);  // Add the relationship with the User model
    }
}
