<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class CategoryTasks extends Model
{
    use HasFactory;

    protected $fillable = [
        'category_id',
        'customer_name',
        'city_name',
        'address',
        'landmark',
        'pincode',
        'village_ward_no',
        'mobile_number',
        'user_id', // Add this line
    ];

    public function category()
    {
        return $this->belongsTo(Category::class);
    }

    // Add relationship with User model
    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
