<?php

namespace App\Providers;
use App\Models\Setting;  // Add this line
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\View; // Add this line

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
     */
    public function register()
    {
        //
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
     */
    public function boot()
    {
        // Share the logo data with all views
        View::composer('*', function ($view) {
            // Fetch the logo path from the settings table
            $logo = Setting::first()->logo ?? null; // Handle cases where there's no logo

            // Share the logo with all views
            $view->with('logo', $logo);
        });
    }

}
