@extends('adminlte::page')

@section('title', 'Clients')

@section('content_header')
    <h1>Clients</h1>
    <!-- Add Create User Button -->
    <a href="{{ route('clients.create') }}" class="btn btn-primary">Create Client</a>
@endsection

@section('content')
    <table class="table table-bordered">
        <thead>
            <tr>
                <th>Name</th>
                <th>Email</th>
                <th>Status</th>
                <th>Phone Number</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            @foreach ($users as $user)
                <tr>
                    <td>{{ $user->name }} {{ $user->last_name }}</td>
                    <td>{{ $user->email }}</td>
                    <td>
                        @if ($user->status == 1)
                            <span class="badge badge-success">Active</span>  <!-- Display 'Active' if status is 1 -->
                        @else
                            <span class="badge badge-danger">Inactive</span> <!-- Display 'Inactive' if status is not 1 -->
                        @endif
                    </td>
                    <td>{{ $user->phone_number }}</td> 
                    <td>
                        <a href="{{ route('clients.edit', $user->id) }}" class="btn btn-warning btn-sm">Edit</a>
                        <!-- Add more actions as needed -->
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
@endsection
