@extends('adminlte::page')

@section('title', isset($task) ? 'Edit Task' : 'Add Task')

@section('content_header')
    <h1>{{ isset($task) ? 'Edit Task' : 'Add Task' }}</h1>
@stop

@section('content')
    <form action="{{ isset($task) ? route('admin.tasks.update', $task->id) : route('admin.tasks.store') }}" method="POST">
        @csrf
        @if (isset($task))
            @method('PUT')
        @endif

        <div class="form-group">
            <label for="category_id">Category</label>
            <select name="category_id" id="category_id" class="form-control" required>
                <option value="">-- Select Category --</option>
                @foreach ($categories as $category)
                    <option value="{{ $category->id }}" {{ isset($task) && $task->category_id == $category->id ? 'selected' : '' }}>
                        {{ $category->name }}
                    </option>
                @endforeach
            </select>
        </div>

<div class="form-group">
    <label for="user_id">Assign User</label>
    <select name="user_id" id="user_id" class="form-control">
        @foreach ($users as $user)
            <option value="{{ $user->id }}" @if (isset($task) && $task->user_id == $user->id) selected @endif>
                {{ $user->name }}
            </option>
        @endforeach
    </select>
</div>

        <div class="form-group">
            <label for="customer_name">Customer Name</label>
            <input type="text" name="customer_name" id="customer_name" class="form-control" value="{{ $task->customer_name ?? old('customer_name') }}" required>
        </div>

        <div class="form-group">
            <label for="city_name">City Name</label>
            <input type="text" name="city_name" id="city_name" class="form-control" value="{{ $task->city_name ?? old('city_name') }}" required>
        </div>

        <div class="form-group">
            <label for="village_ward_no">Village/Ward No</label>
            <input type="text" name="village_ward_no" id="village_ward_no" class="form-control" value="{{ $task->village_ward_no ?? old('village_ward_no') }}">
        </div>

        <div class="form-group">
            <label for="address">Address</label>
            <textarea name="address" id="address" class="form-control" required>{{ $task->address ?? old('address') }}</textarea>
        </div>

        <div class="form-group">
            <label for="landmark">Landmark</label>
            <input type="text" name="landmark" id="landmark" class="form-control" value="{{ $task->landmark ?? old('landmark') }}">
        </div>

        <div class="form-group">
            <label for="pincode">Pincode</label>
            <input type="text" name="pincode" id="pincode" class="form-control" value="{{ $task->pincode ?? old('pincode') }}">
        </div>

        <div class="form-group">
            <label for="mobile_number">Mobile Number</label>
            <input type="text" name="mobile_number" id="mobile_number" class="form-control" value="{{ $task->mobile_number ?? old('mobile_number') }}" required>
        </div>

        <button type="submit" class="btn btn-primary">{{ isset($task) ? 'Update Task' : 'Add Task' }}</button>
        <a href="{{ route('tasks.index') }}" class="btn btn-secondary">Cancel</a>
    </form>
@stop
