
@extends('adminlte::page')

@section('title', 'Projects')

@section('content_header')
    <h1>Projects</h1>
@endsection

@section('content')
    <div class="card">
        <div class="card-header">
            <a href="{{ route('projects.create') }}" class="btn btn-success">Create New Project</a>
        </div>
        <div class="card-body">
            <table class="table table-bordered table-striped">
                <thead>
                    <tr>
                        <th>ID</th>
                        <th>Name</th>
                        <th>Code</th>
                        <th>Description</th>
                        <th>Address</th>
                        <th>Status</th>
                        <th>Supervisors</th>
                        <th>Senior Supervisors</th>
                        <th>Updated At</th>
                        <th>Created At</th>
                        <th>Actions</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($projects as $project)
                        <tr>
                            <td>{{ $project->id }}</td>
                            <td>{{ $project->name }}</td>
                            <td>{{ $project->code }}</td>
                            <td>{{ $project->description }}</td>
                            <td>{{ $project->address ?? 'N/A' }}</td>
                            <td>{{ ucfirst($project->status) }}</td>
<td>
    {{ $project->assign_supervisors->map(fn($supervisor) => $supervisor->name)->implode(', ') ?? 'N/A' }}
</td>
<td>
    {{ $project->assign_senior_supervisors->map(fn($seniorSupervisor) => $seniorSupervisor->name)->implode(', ') ?? 'N/A' }}
</td>




                            <td>{{ $project->updated_at }}</td>
                            <td>{{ $project->created_at }}</td>
                              <td>
                                <a href="{{ route('projects.edit', $project->id) }}" class="btn btn-warning btn-sm">Edit</a>
                                
                                <form action="{{ route('projects.destroy', $project->id) }}" method="POST" style="display:inline;">
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Are you sure you want to delete this project?')">Delete</button>
                                </form>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
@endsection



