@extends('adminlte::page')

@section('title', 'View Task')

@section('content_header')

@stop

@section('content')
<div class="container">
    <h1>Task Details</h1>
    
    <form>
        <div class="form-group">
            <label for="task_name">Task Name</label>
            <input type="text" class="form-control" id="task_name" value="{{ $task->task_name }}" readonly>
        </div>

        <div class="form-group">
            <label for="task_description">Task Description</label>
            <textarea class="form-control" id="task_description" rows="3" readonly>{{ $task->task_description }}</textarea>
        </div>

        <div class="form-group">
            <label for="task_date">Task Date</label>
            <input type="text" class="form-control" id="task_date" value="{{ date('d-m-Y', strtotime($task->task_date)) }}" readonly>
        </div>

        <div class="form-group">
            <label for="user_id">Assigned User</label>
            <input type="text" class="form-control" id="user_id" value="{{ $task->user->name.' '.$task->user->last_name }}" readonly>
        </div>

        <div class="form-group">
            <label for="project_id">Project</label>
            <input type="text" class="form-control" id="project_id" value="{{ $task->project->name }}" readonly>
        </div>

        <div class="form-group">
            <label>Images</label>
            <div>
                @if ($task->image) <!-- Check if there are any images -->
                    @foreach (json_decode($task->image) as $image)
                        <img src="{{ url('../storage/app/public/' . $image) }}" alt="Task Image" style="width: 150px; height: auto; margin-right: 10px;">
                        
                     

                    @endforeach
                @else
                    <p>No images available</p>
                @endif
            </div>
        </div>
    </form>
</div>
@stop
