@inject('layoutHelper', 'JeroenNoten\LaravelAdminLte\Helpers\LayoutHelper')

@php
    $dashboard_url = View::getSection('dashboard_url') ?? config('adminlte.dashboard_url', 'home');
    // Fetch the logo from the settings table
    $logo = \App\Models\Setting::first()->logo ?? null;  // Get the logo path from settings (if it exists)
    
    if ($logo) {
        $logo_url = 'https://elecorepair.site/storage/app/public/' . $logo; // Full URL for the logo from the storage folder
    } else {
        $logo_url = asset(config('adminlte.logo_img', 'vendor/adminlte/dist/img/AdminLTELogo.png')); // Fallback to default logo
    }
@endphp

@if (config('adminlte.use_route_url', false))
    @php( $dashboard_url = $dashboard_url ? route($dashboard_url) : '' )
@else
    @php( $dashboard_url = $dashboard_url ? url($dashboard_url) : '' )
@endif

<a href="{{ $dashboard_url }}"
    @if($layoutHelper->isLayoutTopnavEnabled())
        class="navbar-brand {{ config('adminlte.classes_brand') }}"
    @else
        class="brand-link {{ config('adminlte.classes_brand') }}"
    @endif>

    {{-- Small brand logo --}}
    <img src="{{ $logo_url }}"
         alt="{{ config('adminlte.logo_img_alt', 'Eleco') }}"
         class="{{ config('adminlte.logo_img_class', 'brand-image img-circle elevation-3') }}"
         style="opacity:.8">

    {{-- Brand text --}}
    <span class="brand-text font-weight-light {{ config('adminlte.classes_brand_text') }}">Eleco
    </span>

</a>
