<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Api\AuthController;
use App\Http\Controllers\Api\ProjectController;
use App\Http\Controllers\Api\TaskController;
use App\Http\Controllers\Api\CategoryController;
use App\Http\Controllers\Api\TasksController;

use App\Http\Controllers\Api\SettingsController;

use App\Http\Controllers\Api\ForgotPasswordController;
/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});


Route::get('categories', [CategoryController::class, 'index']);



Route::get('/get_qrimage', [SettingsController::class, 'getQrImage']);


Route::post('tasks_create', [TasksController::class, 'store']);  // Create task
Route::get('tasks_by_id/{id}', [TasksController::class, 'show']); // Get task by ID
Route::post('tasks_edit/{id}', [TasksController::class, 'update']);

Route::post('tasks_delete', [TasksController::class, 'destroy']); // Delete task



Route::post('login', [AuthController::class, 'login']);
Route::post('signup', [AuthController::class, 'signup']);


Route::post('forgot_password', [ForgotPasswordController::class,'sendResetLinkEmail']); 

Route::get('projects', [ProjectController::class, 'list']);
Route::post('project_tasks', [ProjectController::class, 'getProjectsTasklist']);



Route::post('/add_task', [TaskController::class, 'store']);

Route::post('/update_task', [TaskController::class, 'update']);
Route::post('/delete_task', [TaskController::class, 'deletetaskbyid']);
Route::post('/task_current_month', [TaskController::class, 'getTasksByCurrentMonth']);


Route::get('/get_task', [TaskController::class, 'show']);

