

<?php $__env->startSection('title', isset($task) ? 'Edit Task' : 'Add Task'); ?>

<?php $__env->startSection('content_header'); ?>
    <h1><?php echo e(isset($task) ? 'Edit Task' : 'Add Task'); ?></h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <form action="<?php echo e(isset($task) ? route('admin.tasks.update', $task->id) : route('admin.tasks.store')); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php if(isset($task)): ?>
            <?php echo method_field('PUT'); ?>
        <?php endif; ?>

        <div class="form-group">
            <label for="category_id">Category</label>
            <select name="category_id" id="category_id" class="form-control" required>
                <option value="">-- Select Category --</option>
                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <option value="<?php echo e($category->id); ?>" <?php echo e(isset($task) && $task->category_id == $category->id ? 'selected' : ''); ?>>
                        <?php echo e($category->name); ?>

                    </option>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </select>
        </div>

<div class="form-group">
    <label for="user_id">Assign User</label>
    <select name="user_id" id="user_id" class="form-control">
        <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <option value="<?php echo e($user->id); ?>" <?php if(isset($task) && $task->user_id == $user->id): ?> selected <?php endif; ?>>
                <?php echo e($user->name); ?>

            </option>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </select>
</div>

        <div class="form-group">
            <label for="customer_name">Customer Name</label>
            <input type="text" name="customer_name" id="customer_name" class="form-control" value="<?php echo e($task->customer_name ?? old('customer_name')); ?>" required>
        </div>

        <div class="form-group">
            <label for="city_name">City Name</label>
            <input type="text" name="city_name" id="city_name" class="form-control" value="<?php echo e($task->city_name ?? old('city_name')); ?>" required>
        </div>

        <div class="form-group">
            <label for="village_ward_no">Village/Ward No</label>
            <input type="text" name="village_ward_no" id="village_ward_no" class="form-control" value="<?php echo e($task->village_ward_no ?? old('village_ward_no')); ?>">
        </div>

        <div class="form-group">
            <label for="address">Address</label>
            <textarea name="address" id="address" class="form-control" required><?php echo e($task->address ?? old('address')); ?></textarea>
        </div>

        <div class="form-group">
            <label for="landmark">Landmark</label>
            <input type="text" name="landmark" id="landmark" class="form-control" value="<?php echo e($task->landmark ?? old('landmark')); ?>">
        </div>

        <div class="form-group">
            <label for="pincode">Pincode</label>
            <input type="text" name="pincode" id="pincode" class="form-control" value="<?php echo e($task->pincode ?? old('pincode')); ?>">
        </div>

        <div class="form-group">
            <label for="mobile_number">Mobile Number</label>
            <input type="text" name="mobile_number" id="mobile_number" class="form-control" value="<?php echo e($task->mobile_number ?? old('mobile_number')); ?>" required>
        </div>

        <button type="submit" class="btn btn-primary"><?php echo e(isset($task) ? 'Update Task' : 'Add Task'); ?></button>
        <a href="<?php echo e(route('tasks.index')); ?>" class="btn btn-secondary">Cancel</a>
    </form>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('adminlte::page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/j0sqhvjuvtpb/public_html/eleco/resources/views/admin/tasks/create.blade.php ENDPATH**/ ?>