<?php $layoutHelper = app('JeroenNoten\LaravelAdminLte\Helpers\LayoutHelper'); ?>

<?php
    $dashboard_url = View::getSection('dashboard_url') ?? config('adminlte.dashboard_url', 'home');
    // Fetch the logo from the settings table
    $logo = \App\Models\Setting::first()->logo ?? null;  // Get the logo path from settings (if it exists)
    
    if ($logo) {
        $logo_url = 'https://jenson.co.in/eleco/storage/app/public/' . $logo; // Full URL for the logo from the storage folder
    } else {
        $logo_url = asset(config('adminlte.logo_img', 'vendor/adminlte/dist/img/AdminLTELogo.png')); // Fallback to default logo
    }
?>

<?php if(config('adminlte.use_route_url', false)): ?>
    <?php ( $dashboard_url = $dashboard_url ? route($dashboard_url) : '' ); ?>
<?php else: ?>
    <?php ( $dashboard_url = $dashboard_url ? url($dashboard_url) : '' ); ?>
<?php endif; ?>

<a href="<?php echo e($dashboard_url); ?>"
    <?php if($layoutHelper->isLayoutTopnavEnabled()): ?>
        class="navbar-brand <?php echo e(config('adminlte.classes_brand')); ?>"
    <?php else: ?>
        class="brand-link <?php echo e(config('adminlte.classes_brand')); ?>"
    <?php endif; ?>>

    
    <img src="<?php echo e($logo_url); ?>"
         alt="<?php echo e(config('adminlte.logo_img_alt', 'Eleco')); ?>"
         class="<?php echo e(config('adminlte.logo_img_class', 'brand-image img-circle elevation-3')); ?>"
         style="opacity:.8">

    
    <span class="brand-text font-weight-light <?php echo e(config('adminlte.classes_brand_text')); ?>">Eleco
    </span>

</a>
<?php /**PATH /home/j0sqhvjuvtpb/public_html/eleco/resources/views/vendor/adminlte/partials/common/brand-logo-xs.blade.php ENDPATH**/ ?>