

<?php $__env->startSection('title', 'Projects'); ?>

<?php $__env->startSection('content_header'); ?>
    <h1>Projects</h1>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="card">
        <div class="card-header">
            <a href="<?php echo e(route('projects.create')); ?>" class="btn btn-success">Create New Project</a>
        </div>
        <div class="card-body">
        <table id="projectsTable" class="table table-bordered table-striped">
        <thead>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Code</th>
                <th>Status</th>
                <th>Supervisors</th>
                <th>Senior Supervisors</th>
                <th>Client</th>
                <th>Workers</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $projects; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $project): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($project->id); ?></td>
                    <td><?php echo e($project->name); ?></td>
                    <td><?php echo e($project->code); ?></td>
                    <td><?php echo e($project->status); ?></td>
                    
                    <!-- Display Supervisors -->
                    <td>
                        <?php $__currentLoopData = $project->assign_supervisors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $supervisor): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php echo e($supervisor->name); ?> <?php echo e($supervisor->last_name); ?><br>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </td>

                    <!-- Display Senior Supervisors -->
                    <td>
                        <?php $__currentLoopData = $project->assign_senior_supervisors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $senior): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php echo e($senior->name); ?> <?php echo e($senior->last_name); ?><br>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </td>

                    <!-- Display Client -->
                    <td>
                    <?php $__currentLoopData = $project->assign_clients; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $client): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php echo e($client->name); ?> <?php echo e($client->last_name); ?><br>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </td>

                    <!-- Display Workers -->
                    <td>
                        <?php $__currentLoopData = $project->assign_workers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $worker): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php echo e($worker->name); ?> <?php echo e($worker->last_name); ?><br>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </td>
                     <td>
                                <a href="<?php echo e(route('projects.edit', $project->id)); ?>" class="btn btn-warning btn-sm">Edit</a>
                                
                                <form action="<?php echo e(route('projects.destroy', $project->id)); ?>" method="POST" style="display:inline;">
                                    <?php echo csrf_field(); ?>
                                    <?php echo method_field('DELETE'); ?>
                                    <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('Are you sure you want to delete this project?')">Delete</button>
                                </form>
                            </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
        </table>
        </div>
    </div>
<?php $__env->stopSection(); ?>



<?php echo $__env->make('adminlte::page', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\awilli\resources\views/projects/index.blade.php ENDPATH**/ ?>